package com.deryckwilliams.botControl1;

import java.io.IOException;

import com.deryckwilliams.botControl1.arduino.Cmd;
import com.deryckwilliams.botControl1.arduino.CmdVal;

/*******************************************************************************
 */
public interface BotCommsInterface {

	/***************************************************************************
	 */
	public abstract void disconnect();
	
	/***************************************************************************
	 */
	public abstract boolean isConnected();
	
	/***************************************************************************
	 * @throws IOException 
	 */
	public void sendCmd(Cmd cmd) throws IOException;
	
	/***************************************************************************
	 * @throws IOException 
	 */
	public void sendCmd(CmdVal cmdVal) throws IOException;
	
	/***************************************************************************
	 */
	public void checkRecvMsg();
}